﻿//
// Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
//
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MindFusion.Scheduling.WebForms;

namespace MindFusion.Scheduling.Samples.CS.CalendarViews
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                //Set the Calendar's date to the start of the year.
                Calendar1.Date = new DateTime(DateTime.Today.Year-1, 1, 1);
                Calendar1.ItemSettings.ItemsVisible = State.Disabled;
            }
            if (IsPostBack)
            {
                //Read the values from the hidden field and set the Calendar's date and current view accordingly.
                if (hidden.Value != "")
                {
                    string type = hidden.Value.Split(':')[0];
                    long start = Int64.Parse(hidden.Value.Split(':')[1]);
                    DateTime startDate = new DateTime(1970, 1, 1).AddMilliseconds(start).ToLocalTime();
                    Calendar1.Date = startDate;

                    if (type == "detail")
                    {
                        long end = Int64.Parse(hidden.Value.Split(':')[2]);
                        DateTime endDate = new DateTime(1970, 1, 1).AddMilliseconds(end).ToLocalTime();

                        Calendar1.TimetableSettings.Dates.Clear();
                        while (startDate < endDate)
                        {
                            Calendar1.TimetableSettings.Dates.Add(new TimetableDate(startDate));
                            startDate = startDate.AddDays(1);
                        }
                        Calendar1.CurrentView = CalendarView.Timetable;
                        Calendar1.ItemSettings.ItemsVisible = State.Enabled;
                    }
                    else if (type == "next")
                    {
                        Calendar1.CurrentView = CalendarView.SingleMonth;
                        Calendar1.ItemSettings.ItemsVisible = State.Disabled;
                    }
                    else if (type == "back")
                    {
                        if (Calendar1.CurrentView == CalendarView.Timetable)
                            Calendar1.CurrentView = CalendarView.SingleMonth;
                        else
                        {
                            Calendar1.CurrentView = CalendarView.MonthRange;
                        }
                        Calendar1.ItemSettings.ItemsVisible = State.Disabled;
                    }
                }
            }
        }
    }
}
